Subject: Re: [PATCH 3/6] drivers/net: remove null pointer dereference

From: Jeff Garzik <[email-masked]>
Date: Mon, 12 May 2008 13:06:30 -0400

Julia Lawall wrote:
> On Mon, 12 May 2008, Francois Romieu wrote:
> 
>> Julia Lawall <[email-masked]> :
>> [...]
>>> diff -u -p a/drivers/net/au1000_eth.c b/drivers/net/au1000_eth.c
>>> --- a/drivers/net/au1000_eth.c	2008-04-27 11:41:11.000000000 +0200
>>> +++ b/drivers/net/au1000_eth.c	2008-05-12 09:32:54.000000000 +0200
>>> @@ -1242,7 +1242,7 @@ static irqreturn_t au1000_interrupt(int 
>>>  	struct net_device *dev = (struct net_device *) dev_id;
>>>  
>>>  	if (dev == NULL) {
>>> -		printk(KERN_ERR "%s: isr: null dev ptr\n", dev->name);
>>> +		printk(KERN_ERR "isr: null dev ptr\n");
>>>  		return IRQ_RETVAL(1);
>>>  	}
>> The lifespan of 'dev' covers the request_irq..free_irq interval in this
>> driver. The whole 'dev == NULL' block can be removed.
> 
> Will you do that?

It's normal within the Linux community to give feedback on patches, and 
sometimes the authors need to revise their patches if helpful feedback 
arises.

	Jeff